### Constructor

# FwupdPlugin Firmware new_from_bytes

#### Declaration [src]

    FuFirmware*
    fu_firmware_new_from_bytes (
      GBytes* fw
    )

#### Description [src]

Creates a firmware object with the provided image set as default.

Available since: | 1.3.1

#### Parameters

`fw` | `GBytes`
| Firmware blob image.
| The data is owned by the caller of the function.

#### Return value

Returns: | `FuFirmware`
| A `FuFirmware`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.